<?php
$directory = 'http://'.$_SERVER['HTTP_HOST'].str_replace(basename($_SERVER['PHP_SELF']), '', $_SERVER['PHP_SELF']);

$script = <<<END
function updateCSS(stylesheet)
{
	document.getElementsByTagName('link')[0].setAttribute('href', stylesheet);
	setStyleCookie(stylesheet);
}

function setStyleCookie(stylesheet)
{
	expireDate = new Date;
	expireDate.setMonth(expireDate.getMonth()+12);
	document.cookie = "style=" + stylesheet + ";expires=" + expireDate.toGMTString();
}

function getCookie(isName)
{
	var cookieStr = document.cookie;
	var startSlice = cookieStr.indexOf(isName+"=");
	if (startSlice == -1){return false}
	var endSlice = cookieStr.indexOf(";",startSlice+1)
	if (endSlice == -1){endSlice = cookieStr.length}
	var isData = cookieStr.substring(startSlice,endSlice)
	var isValue = isData.substring(isData.indexOf("=")+1,isData.length);
	return isValue;
}
			
function loadPreservedStyle()
{
	var stylesheet = getCookie('style');
	if(stylesheet){
		document.getElementsByTagName('link')[0].setAttribute('href', stylesheet);
	}
}

loadPreservedStyle();
END;

header('Content-Type: application/x-javascript');
output($script);



function output($page)
{
	$page = preg_replace('/(<a[^>]*href=["])([^"]*)([.]php)([^"]*["][^>]*>)/i', '\1\2\4', $page);
	$hash = md5(strlen($page));
	if(isset($_SERVER['HTTP_IF_NONE_MATCH'])){
		if($hash == trim($_SERVER['HTTP_IF_NONE_MATCH'], '"')){
			header("HTTP/1.x 304 Not Modified");
			header('Etag: "'.$hash.'"');
			exit;
		}
	}
	header('Etag: "'.$hash.'"');
	ob_start('ob_gzhandler');
	print $page;
	exit;
}


?>
