<?php
ob_start('ob_gzhandler');
$self = 'http://'.$_SERVER['HTTP_HOST'].str_replace(basename($_SERVER['PHP_SELF']), '', $_SERVER['PHP_SELF']);
if((@$_GET['style'])){
	$style = $_GET['style'];
	setcookie('style',$_GET['style'],time()+(60*60*24*365));
}elseif(@$_COOKIE['style']){
	$style = $_COOKIE['style'];
}else{
	$style = 'default.css';
}
$styles = array('default.css','a.css','b.css');
$keys = array_keys($styles, $style);
unset($styles[$keys[0]]);
$rel = '		<link rel="stylesheet" type="text/css" href="'.$style.'">'."\n";
foreach($styles as $style){
	$rel .= '		<link rel="alternate stylesheet" type="text/css" media="screen" href="'.$style.'">'."\n";
}

echo <<<END
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
	"http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
	<head>
		<title>Swap stylesheets with javascript &amp; without javascript</title>
		<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
{$rel}		<script src="{$self}javascript" type="text/javascript"></script>
	</head>
	<body>
		<h1>Swap Stylesheets</h1>
		<form action="">
			<ul>
				<li><a href="{$self}?style=default.css" onclick="updateCSS('default.css');return false;">Default</a></li>
				<li><a href="{$self}?style=a.css" onclick="updateCSS('a.css');return false;">Eye Strain</a></li>
				<li><a href="{$self}?style=b.css" onclick="updateCSS('b.css');return false;">A M, Me Gusta</a></li>
			</ul>
		</form>
		<p><a href="{$self}swap_stylesheet.zip">Download the script</a> (PHP, 2.6 kB)</p>
	</body>
</html>
END;

?>